<?php
/**
 * Template part for displaying page header.
 *
 * @package     Sinatra
 * @author      Sinatra Team <hello@sinatrawp.com>
 * @since       1.0.0
 */

?>

<header <?php sinatra_page_header_classes(); ?>>
	<div class="si-container">

	<?php if ( sinatra_page_header_has_title() ) { ?>

		<div class="sinatra-page-header-wrapper">

			<div class="sinatra-page-header-title">
				<?php sinatra_page_header_title(); ?>
			</div>

			<?php $sinatra_description = apply_filters( 'sinatra_page_header_description', sinatra_get_the_description() ); ?>

			<?php if ( $sinatra_description ) { ?>

				<div class="sinatra-page-header-description">
					<?php echo wp_kses( $sinatra_description, sinatra_get_allowed_html_tags() ); ?>
				</div>

			<?php } ?>
		</div>

	<?php } ?>

	<?php if ( sinatra_page_header_has_breadcrumbs() ) { ?>
		<div class="si-breadcrumbs">
			<?php
			sinatra_breadcrumb(
				array(
					'show_browse' => false,
				)
			);
			?>
		</div>
	<?php } ?>

	</div>
</header>
