<?php
/**
 * The template for displaying theme header search widget.
 *
 * @package     Sinatra
 * @author      Sinatra Team <hello@sinatrawp.com>
 * @since       1.0.0
 */

?>

<?php $sinatra_search_value = get_query_var( 's' ); ?>

<div class="si-widget-wrapper" aria-haspopup="true">
	<a href="#" class="sinatra-search">
		<i class="si-icon si-search"></i>
	</a><!-- END .sinatra-search -->

	<div class="sinatra-search-simple sinatra-search-container dropdown-item">
		<form role="search" aria-label="<?php esc_html_e( 'Site Search', 'sinatra' ); ?>" method="get" class="sinatra-search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">

			<label class="sinatra-form-label">
				<span class="screen-reader-text"><?php esc_html_e( 'Search for:', 'sinatra' ); ?></span>
				<input type="search" class="sinatra-input-search" placeholder="<?php esc_html_e( 'Search', 'sinatra' ); ?>" value="<?php echo esc_attr( $sinatra_search_value ); ?>" name="s" autocomplete="off">
			</label><!-- END .sinara-form-label -->

			<?php sinatra_animated_arrow( 'right', 'submit', true ); ?>

		</form>
	</div><!-- END .sinatra-search-simple -->
</div><!-- END .si-widget-wrapper -->
